=== modified file 'dhis-2/dhis-i18n/dhis-i18n-upgrader/src/main/java/org/hisp/dhis/i18n/I18nUpgrader.java'
--- dhis-2/dhis-i18n/dhis-i18n-upgrader/src/main/java/org/hisp/dhis/i18n/I18nUpgrader.java	2009-06-18 12:45:22 +0000
+++ dhis-2/dhis-i18n/dhis-i18n-upgrader/src/main/java/org/hisp/dhis/i18n/I18nUpgrader.java	2009-08-29 05:42:32 +0000
@@ -44,7 +44,7 @@
 import org.hisp.dhis.dataelement.DataElementGroup;
 import org.hisp.dhis.dataelement.DataElementService;
 import org.hisp.dhis.dataset.DataSet;
-import org.hisp.dhis.dataset.DataSetStore;
+import org.hisp.dhis.dataset.DataSetService;
 import org.hisp.dhis.i18n.locale.LocaleManager;
 import org.hisp.dhis.i18n.util.LocaleUtils;
 import org.hisp.dhis.indicator.Indicator;
@@ -82,11 +82,11 @@
         this.dataElementService = dataElementService;
     }
 
-    private DataSetStore dataSetStore;
-
-    public void setDataSetStore( DataSetStore dataSetStore )
+    private DataSetService dataSetService;
+    
+    public void setDataSetService( DataSetService dataSetService )
     {
-        this.dataSetStore = dataSetStore;
+        this.dataSetService = dataSetService;
     }
 
     private OrganisationUnitGroupService organisationUnitGroupService;
@@ -351,7 +351,7 @@
             // DataSet
             // ---------------------------------------------------------------------
 
-            Collection<DataSet> dataSets = dataSetStore.getAllDataSets();
+            Collection<DataSet> dataSets = dataSetService.getAllDataSets();
 
             if ( dataSets != null && !dataSets.isEmpty() )
             {

=== modified file 'dhis-2/dhis-i18n/dhis-i18n-upgrader/src/main/resources/META-INF/dhis/beans.xml'
--- dhis-2/dhis-i18n/dhis-i18n-upgrader/src/main/resources/META-INF/dhis/beans.xml	2009-06-18 12:45:22 +0000
+++ dhis-2/dhis-i18n/dhis-i18n-upgrader/src/main/resources/META-INF/dhis/beans.xml	2009-08-29 05:42:32 +0000
@@ -20,8 +20,8 @@
     <property name="organisationUnitGroupService">
       <ref bean="org.hisp.dhis.organisationunit.OrganisationUnitGroupService"/>
     </property>
-    <property name="dataSetStore">
-      <ref bean="org.hisp.dhis.dataset.DataSetStore"/>
+    <property name="dataSetService">
+      <ref bean="org.hisp.dhis.dataset.DataSetService"/>
     </property>
     <property name="indicatorService">
       <ref bean="org.hisp.dhis.indicator.IndicatorService"/>

